<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>com.jwind</groupId>
	<artifactId>downloadmusic</artifactId>
	<version>1.0.0-SNAPSHOT</version>
	<packaging>jar</packaging>

	<name>downloadmusic</name>
	<description>download music by 163.com</description>

	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.0.3.RELEASE</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<java.version>1.8</java.version>
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web-services</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.session</groupId>
			<artifactId>spring-session-core</artifactId>
		</dependency>

		<dependency>
			<groupId>com.h2database</groupId>
			<artifactId>h2</artifactId>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>1.2.31</version>
        </dependency>
		<!-- https://mvnrepository.com/artifact/org.jsoup/jsoup -->
		<dependency>
			<groupId>org.jsoup</groupId>
			<artifactId>jsoup</artifactId>
			<version>1.10.3</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-thymeleaf</artifactId>
		</dependency>
        <dependency>
            <groupId>commons-httpclient</groupId>
            <artifactId>commons-httpclient</artifactId>
            <version>3.0.1</version>
        </dependency>
		<!-- https://mvnrepository.com/artifact/org.htmlparser/htmlparser -->
		<dependency>
			<groupId>org.htmlparser</groupId>
			<artifactId>htmlparser</artifactId>
			<version>2.1</version>
		</dependency>

		<!--<dependency>-->
			<!--<groupId>org.python</groupId>-->
			<!--<artifactId>jython-standalone</artifactId>-->
			<!--<version>2.7.0</version>-->
		<!--</dependency>-->
    </dependencies>

<!--	<build>-->
<!--		<plugins>-->
<!--			<plugin>-->
<!--				<groupId>org.springframework.boot</groupId>-->
<!--				<artifactId>spring-boot-maven-plugin</artifactId>-->
<!--			</plugin>-->
<!--		</plugins>-->
<!--	</build>-->
<!--	<build>-->
<!--		<pluginManagement>-->
<!--			<plugins>-->
<!--				<plugin>-->
<!--					<groupId>org.apache.maven.plugins</groupId>-->
<!--					<artifactId>maven-jar-plugin</artifactId>-->
<!--					<configuration>-->
<!--						<archive>-->
<!--							<manifest>-->
<!--								<mainClass>com.jwind.core.StartSpiderBySongIds</mainClass>-->
<!--								<addClasspath>true</addClasspath>-->
<!--								<classpathPrefix>lib/</classpathPrefix>-->
<!--							</manifest>-->
<!--						</archive>-->
<!--						<classesDirectory>-->
<!--						</classesDirectory>-->
<!--					</configuration>-->
<!--				</plugin>-->
<!--			</plugins>-->
<!--		</pluginManagement>-->
<!--	</build>-->


<!--	<build>-->
<!--		<plugins>-->

<!--			<plugin>-->
<!--				<groupId>org.apache.maven.plugins</groupId>-->
<!--				<artifactId>maven-shade-plugin</artifactId>-->
<!--				<version>2.4.1</version>-->
<!--				<executions>-->
<!--					<execution>-->
<!--						<phase>package</phase>-->
<!--						<goals>-->
<!--							<goal>shade</goal>-->
<!--						</goals>-->
<!--						<configuration>-->
<!--							<transformers>-->
<!--								<transformer implementation="org.apache.maven.plugins.shade.resource.ManifestResourceTransformer">-->
<!--									<mainClass>com.jwind.core.StartSpiderBySongIds</mainClass>-->
<!--								</transformer>-->
<!--								<transformer implementation="org.apache.maven.plugins.shade.resource.AppendingTransformer">-->
<!--									<resource>META-INF/spring.handlers</resource>-->
<!--								</transformer>-->
<!--								<transformer implementation="org.apache.maven.plugins.shade.resource.AppendingTransformer">-->
<!--									<resource>META-INF/spring.schemas</resource>-->
<!--								</transformer>-->
<!--							</transformers>-->
<!--						</configuration>-->
<!--					</execution>-->
<!--				</executions>-->
<!--			</plugin>-->

<!--		</plugins>-->
<!--	</build>-->




	<build>
		<plugins>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				<version>2.5.5</version>
				<configuration>
					<archive>
						<manifest>
							<mainClass>com.jwind.core.StartSpiderBySongIds</mainClass>
						</manifest>
					</archive>
					<descriptorRefs>
						<descriptorRef>jar-with-dependencies</descriptorRef>
					</descriptorRefs>
				</configuration>
				<executions>
					<execution>
						<id>make-assembly</id>
						<phase>package</phase>
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
			</plugin>

		</plugins>
	</build>

</project>
